| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# cstool/rbuflock.h File Reference

Helper class for convenient locking/unlocking of an iRenderBuffer. More...

`#include "csutil/ref.h"`
`#include "ivideo/rndbuf.h"`

Go to the source code of this file.

## Classes
class | csRenderBufferLock< T, TbufferKeeper >
| Helper class for convenient locking/unlocking of an iRenderBuffer. More...

## Detailed Description

Helper class for convenient locking/unlocking of an iRenderBuffer.

Definition in file rbuflock.h.